INSTALL(1)

NOM
install - Copier des fichiers et positionner leurs attributs

SYNOPSIS
install [options] [-s] [--strip] source dest
install [options] [-s] [--strip] source... répertoire
install [options] [-d,--directory] répertoire...

Options (version courte) :
[-b] [-c] [-D] [-g groupe] [-m mode] [-o propriétaire] [-S SUFFIXE] [-V {numbered,existing,simple}] [--help] [--version] [--]

DESCRIPTION
install copie des fichiers tout en positionnant les modes d'accès et si possible le propriétaire et le groupe.

Dans sa première forme, le fichier source est copié dans le fichier dest. Dans la seconde, chaque fichier source est copié dans le répertoire destination. Dans la dernière forme, chaque répertoire (ainsi que tout répertoire parent inexistant) est créé.

install est similaire à cp, mais vous permet de contrôler les attributs des fichiers destinations. Il est typiquement utilisé dans les fichiers Makefiles, pour copier les programmes dans leurs répertoires définitifs. Il refuse de copier un fichier sur lui-même.

OPTIONS

-c  Ignoré. Pour compatibilité avec de vieilles versions Unix d'install.

-d, --directory
    Créer chaque répertoire indiqué ainsi que les répertoires parents manquants, en fixant le propriétaire, le groupe et le mode comme indiqué sur la ligne de commande, ou avec les valeurs par défaut. Donner ces attributs aux répertoires parents créés (ce qui diffère de SunOS 4.x où install, donne les attributs par défaut aux répertoires parents créés.)

-D  Créer tous les répertoires parents de dest sauf le dernier, puis copier source dans dest. Cette option est utile avec le premier format ci-dessus. (Nouveauté dans fileutils-4.0).

-g groupe, --group=groupe
    Donner aux fichiers installés et aux répertoires crées le groupe indiqué. La valeur par défaut est le groupe du processus appelant. Le groupe peut être mentionné sous forme numérique ou par son nom.

-m mode, --mode=mode
    Donner aux fichiers installés et aux répertoires crées le mode indiqué. Celui-ci peut être fourni sous forme de nombre octal, ou sous forme de mode symbolique comme avec chmod, en utilisant 0 comme point de départ. Le mode par défaut est 0755, lecture, écriture, exécution pour le propriétaire, lecture et exécution pour le groupe et les autres.

-o propriétaire, --owner=propriétaire
    Si install est invoqué avec les privilèges appropriés (exécuté sous root), il donne aux fichiers installés et aux répertoires créés le propriétaire indiqué. La valeur par défaut est « root ». Le propriétaire peut être mentionné sous forme numérique ou par son nom.

-s, --strip
    Réduire la table des symboles des exécutables binaires installés.

OPTIONS DE SAUVEGARDE GNU
Les versions GNU des programmes comme cp, mv, ln, install et patch créeront au besoin une copie de sauvegarde des fichiers à écraser, à modifier ou à détruire. On demande une copie de sauvegarde à l'aide de l'option -b, on indique la nomenclature à adopter avec l'option -V, et si la sauvegarde se fait avec un suffixe, celui-ci est précisé avec l'option -S.

-b, --backup
    Créer une copie de sauvegarde des fichiers à écraser ou à détruire.

-S SUFFIXE, --suffix=SUFFIXE
    Ajouter le SUFFIXE indiqué à chaque fichier de sauvegarde créé. Si cette option n'est pas indiquée, on utilisera la valeur de la variable d'environnement SIMPLE_BACKUP_SUFFIX. Si la variable SIMPLE_BACKUP_SUFFIX n'existe pas, la valeur par défaut est « ~ ».

-V MÉTHODE, --version-control=MÉTHODE
    Préciser la nomenclature des fichiers de sauvegarde La MÉTHODE indiquée peut être « numbered » (« t »), « existing » (« nil »), ou « never » (« simple »). Si cette option n'est pas indiquée, la valeur de la variable d'environnement VERSION_CONTROL est utilisée, et si la variable VERSION_CONTROL n'existe pas, la valeur par défaut est « existing ».

    Cette option correspond à la variable « version-control » sous Emacs. Les MÉTHODES valides (les abréviations non-ambiguës sont acceptées) sont :

    t, numbered
        Toujours faire une sauvegarde numérotée.

    nil, existing
        Faire une sauvegarde numérotée des fichiers en ayant déjà une précédente, et une sauvegarde simple pour les autres.

    never, simple
        Faire toujours une sauvegarde simple.

OPTIONS STANDARDS GNU

--help
    Afficher un message d'aide sur la sortie standard, et se terminer correctement.

--version
    Afficher un numéro de version sur la sortie standard, et se terminer correctement.

--  Fin de la liste d'options.

ENVIRONNEMENT
Les variables LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leurs significations habituelles. Pour la version GNU, les variables SIMPLE_BACKUP_PREFIX et VERSION_CONTROL modifient les noms des fichiers de sauvegarde, comme décrit ci-dessus.

CONFORMITÉ
BSD 4.2 (qui dispose des options -c, -m, -o, -g et -s).

NOTES
Cette page décrit la version de install trouvée dans le paquetage fileutils-4.0, d'autres versions peuvent différer légèrement.

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 24 novembre 1996 et révisée le 25 avril 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 install ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.